import os

import argparse

cmd = 'python3 -u main_pretrain.py  --config-path scripts/pretrain/cifar --config-name byol.yaml ++regular_method='
                
l = ['byol','nnbyol','mocov2plus','mocov3','dino']
l = ['byol']
# l =['byol']
# base = l[0]
for base in l:
    for method in ['none','risp','so']:
        if method =='so':
            weight =1e-6
            weight = 1e-5
            weight = 1e-6
        else:
            weight = 1e-5
            weight = 1e-2
            weight = 1e-4
        # if method=='none' and base =='mocov2plus':
        #     continue
     #   cmd = 'python3 -u main_pretrain.py  --config-path scripts/pretrain/cifar --config-name {}.yaml ++regular_method={} ++regular_weight={}'.format(base,method,weight)
        cmd = 'python3 -u main_pretrain.py  --config-path scripts/pretrain/imagenet --config-name {}.yaml ++regular_method={} ++regular_weight={}'.format(base,method,weight)
        print(cmd)
        #os.system(cmd)